Sentinel Rayen:
If you cross this bridge and travel along the road southwest, you will pass the abandoned underground fortress and the Neutral Zone, and arrive at the place that the Humans call Gludio.
Gludio is the largest region in the Human Kingdom of Aden. However, it was attacked by another Human Kingdom called Gracia from overseas a few years ago, so parts of the region have burned down. Since history began, Humans have always enjoyed cruel wars in this way.
The war has left many ruins in Gludio, which have become dangerous places haunted by the undead. Also, huge insects lurk in the vast wastelands in the south. As it is, if you decide to go there, you must be fully prepared before you leave.
Return